Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.javax.crypto
Class JSSKeyGeneratorSpi.AES

    java.lang.Object
      |
      +--javax.crypto.KeyGeneratorSpi
            |
            +--org.mozilla.jss.provider.javax.crypto.JSSKeyGeneratorSpi
                  |
                  +--org.mozilla.jss.provider.javax.crypto.JSSKeyGeneratorSpi.AES

Enclosing class:
  JSSKeyGeneratorSpi

public static class JSSKeyGeneratorSpi.AES
extends JSSKeyGeneratorSpi

Nested Class Summary
`static class` | `JSSKeyGeneratorSpi.AES`
`static class` | `JSSKeyGeneratorSpi.DES`
`static class` | `JSSKeyGeneratorSpi.DESede`
`static class` | `JSSKeyGeneratorSpi.HmacSHA1`
`static class` | `JSSKeyGeneratorSpi.RC4`

Constructor Summary
`JSSKeyGeneratorSpi.AES()`

Method Summary
`protected javax.crypto.SecretKey` | `engineGenerateKey()`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`protected void` | `engineInit(int keysize, java.security.SecureRandom random)`
`protected void` | `engineInit(java.security.SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSKeyGeneratorSpi.AES

    public JSSKeyGeneratorSpi.AES()

Method Detail

### engineInit

    protected void engineInit(int keysize,
                              java.security.SecureRandom random)
                       throws java.security.InvalidParameterException

  Specified by:
    `engineInit` in class `javax.crypto.KeyGeneratorSpi`
    `java.security.InvalidParameterException`

### engineInit

    protected void engineInit(java.security.SecureRandom random)
                       throws java.security.InvalidParameterException

  Specified by:
    `engineInit` in class `javax.crypto.KeyGeneratorSpi`
    `java.security.InvalidParameterException`

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `javax.crypto.KeyGeneratorSpi`
    `java.security.InvalidAlgorithmParameterException`

### engineGenerateKey

    protected javax.crypto.SecretKey engineGenerateKey()

  Specified by:
    `engineGenerateKey` in class `javax.crypto.KeyGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD